-- phpMyAdmin SQL Dump
-- version 3.2.1
-- http://www.phpmyadmin.net
--
-- Host: localhost:3306
-- Erstellungszeit: 11. Oktober 2009 um 23:46
-- Server Version: 5.0.51
-- PHP-Version: 5.2.4-2ubuntu5.7

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- Datenbank: `astat`
--

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `as_config`
--

DROP TABLE IF EXISTS `as_config`;
CREATE TABLE IF NOT EXISTS `as_config` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL,
  `value` varchar(150) NOT NULL,
  `title` varchar(120) NOT NULL,
  `description` text NOT NULL,
  `option` varchar(120) NOT NULL default '',
  `category` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Daten für Tabelle `as_config`
--

INSERT INTO `as_config` (`name`, `value`, `title`, `description`, `option`, `category`) VALUES
('path', '', 'Pfad', 'Der Pfad auf ihrem Webserver z.b. /cms', 'text', 1),
('lang', 'en', 'Language', 'The standard language of the Installation.', 'language', 1),
('logtype', 'file', 'Loggingtyp', 'Legt fest wohin das Logging (sofern aktiviert) erfolgt. Entweder in die Datenbank oder in eine Textdatei.', 'select(Datei|file;Datenbank|SQL;Syslog|syslog)', 1),
('logfile', 'logfile.log', 'Name des Logfiles', 'Der Name des Logfiles. Wird nur benötigt falls in eine Datei geloggt wird.', 'text', 1),
('loglevel', '7', 'Loglevel', 'Die Menge der Information die geloggt werden soll', 'select(Nur Fehler|1;Fehler und Hinweise|2;DEBUG|7)', 1),
('sitetitle', 'astat', 'Seitenname', 'Der Name ihrer Webseite', 'text', 1),
('caching', '0', 'Caching', 'Caching einschalten', 'onoff', 1),
('LCLANG', 'de_DE', 'Sprache', 'Eine Systemsprache die für das Darstellen des Datums verwendet werden soll.', 'text', 1),
('cookiename', 'astat', 'Name des Cookies', 'Eindeutiger Name des Cookies', 'text', 1),
('theme', 'astat', 'Seitentheme', 'Das Thema der Seite', 'text', 1),
('firephp', '1', 'Benutze FirePHP', 'Soll FirePHP Benutzt werden?', 'yesno', 1),
('startmodule', '', 'Startmodul', 'Das Modul das aufgerufen werden soll wenn keine Seite angegeben wird.', 'text', 1),
('startmodulesub', '', 'Startmodulfunktion', 'Die Funktion im Modul welche aufgerufen werden soll wenn keine Seite angegeben wird.', 'text', 1),
('logging', '1', 'Logging', 'Logging ein oder Ausschalten', 'onoff', 1),
('siteemail', 'noreply@example.com', 'E-Mail Adresse', 'Von dieser E-Mailadresse aus werden alle Mails gesendet. Meist etwas wie noreply@example.com', 'text', 1),
('maintenance', '0', 'Wartungsmodus', 'Seite in den Wartungsmodus schalten.', 'onoff', 2),
('maintenance_message', 'System-Upgrade', 'Wartungsnachricht', 'Eine Nachricht die den Besuchern im Wartungsmodus gezeigt wird', 'textarea', 2),
('domain', '', 'Domain', 'Die Domain der Webseite', 'text', 1),
('captcha', '1', 'Captcha benutzen', 'Sollen die Benutzer bei der Registrierung und bei Passwort vergessen ein Captcha ausfüllen müssen?', 'yesno', 3),
('activation', 'mail', 'Accountaktivierung', 'Wie sollen die Benutzeraccounts aktiviert werden?', 'select(Freischaltung per Mail|mail;sofortige Freischaltung|instant)', 3),
('registring', '1', 'Registrierung ausschalten', 'Hiermit kann Neuregistrierungen durch User abschalten.', 'onoff', 3),
('p3p_active', '1', 'Benutze P3P?', 'Soll P3P benutzt werden?', 'yesno', 1),
('p3p_string', 'CUR ADM OUR NOR STA NID', 'P3P Richtlinien', 'Die Kurzform der P3P Richtlinien', 'text', 1),
('use_openid', '0', 'OpenID benutzen', 'Sollen die OpenID Funktionen aktiviert werden?', 'onoff', 4);

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `as_config_categorys`
--

DROP TABLE IF EXISTS `as_config_categorys`;
CREATE TABLE IF NOT EXISTS `as_config_categorys` (
  `cid` int(11) NOT NULL auto_increment,
  `categoryname` varchar(200) NOT NULL,
  PRIMARY KEY  (`cid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Daten für Tabelle `as_config_categorys`
--

INSERT INTO `as_config_categorys` (`cid`, `categoryname`) VALUES
(1, 'Allgemein'),
(2, 'Wartungsmodus'),
(3, 'Registrierung'),
(4, 'OpenID');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `as_logs`
--

DROP TABLE IF EXISTS `as_logs`;
CREATE TABLE IF NOT EXISTS `as_logs` (
  `date` varchar(35) NOT NULL,
  `time` varchar(30) NOT NULL,
  `ip` varchar(35) NOT NULL,
  `file` varchar(150) NOT NULL,
  `line` varchar(10) NOT NULL,
  `text` text NOT NULL,
  KEY `ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Daten für Tabelle `as_logs`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `as_module`
--

DROP TABLE IF EXISTS `as_module`;
CREATE TABLE IF NOT EXISTS `as_module` (
  `file` varchar(40) NOT NULL,
  `name` varchar(80) NOT NULL,
  `author` varchar(70) NOT NULL,
  `version` varchar(6) NOT NULL,
  `depends` text NOT NULL,
  `url` varchar(70) NOT NULL,
  KEY `file` (`file`,`name`,`version`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Daten für Tabelle `as_module`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `as_navigation`
--

DROP TABLE IF EXISTS `as_navigation`;
CREATE TABLE IF NOT EXISTS `as_navigation` (
  `id` int(11) NOT NULL auto_increment,
  `sort` mediumint(9) NOT NULL default '0',
  `side` char(2) NOT NULL default '',
  `name` varchar(70) NOT NULL default '',
  `content` text NOT NULL,
  `file` varchar(80) NOT NULL default '',
  `valid` enum('F','E') NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `sort` (`sort`),
  KEY `side` (`side`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

--
-- Daten für Tabelle `as_navigation`
--

INSERT INTO `as_navigation` (`id`, `sort`, `side`, `name`, `content`, `file`, `valid`) VALUES
(1, 0, 'l', 'Menü', '<a href="/index.php">Home</a><br />', '', 'F'),
(2, 0, 'r', 'Login', '', 'login', 'F'),
(5, 0, 'm', 'Starttext', '<h1>astat ist simpel</h1>\\r\\n<span class="rightimage">\\r\\n<img alt="astat" src="/themes/astat/style/images/simple.png"/>\\r\\n</span>\\r\\n<p>astat ist durch sein schlichtes Adminmenü leicht zu verwalten. <p>Dabei setzt astat auf Webtechnolgien wie AJAX um eine intuitive Bedienung zu ermöglichen.</p><p>Die klare Trennung von Code und Templates macht das anpassen des Designs einfach.</p>\\r\\n<p>Module erweitern die Leistungsfähigkeit auf Knopfdruck.</p>\\r\\n<h1>astat ist modular</h1>\\r\\n<span class="rightimage">\\r\\n<img alt="astat" src="/themes/astat/style/images/modular.png"/>\\r\\n</span>\\r\\n<p>astat kann einfach über Module erweitert werden. Egal ob sie eine Community oder einen Blog betreiben. astat wird mit Modulen aus dem Repository zu allem was sie wollen.</p>\\r\\n<p>Die Installation der Module ist mit einem Klick erledigt.</p>\\r\\n<p>Nahezu alles kann ohne Änderung am PHP Code selbst realisiert werden. Z.B.: Anbindung eines Forums mit single-sign-on. Dadurch werden Updates kinderleicht.</p>\\r\\n<h1>astat ist Kostenlos</h1>\\r\\n<span class="rightimage">\\r\\n<img alt="astat" src="/themes/astat/style/images/free.png"/>\\r\\n</span>\\r\\n<p>Was haben die Liebe, Freibier und Sonnenschein gemeinsam?</p>\\r\\n<p>Genau, sie sind kostenlos.</p>\\r\\n<p>Und wie alle anderen wirklich guten Dinge ist auch astat kostenlos.</p>\\r\\n<p>Noch Fragen? Kontaktieren Sie uns unter <a href="mailto:team@astat.org">team@astat.org</a></p>', '', 'F'),
(6, 1, 'm', 'maincontent', '', '', 'E');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `as_role`
--

DROP TABLE IF EXISTS `as_role`;
CREATE TABLE IF NOT EXISTS `as_role` (
  `id` int(11) NOT NULL auto_increment,
  `role_name` varchar(150) NOT NULL,
  `special_group` tinyint(4) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

--
-- Daten für Tabelle `as_role`
--

INSERT INTO `as_role` (`id`, `role_name`, `special_group`) VALUES
(1, 'User', 1),
(2, 'Admin', 1);

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `as_roleset`
--

DROP TABLE IF EXISTS `as_roleset`;
CREATE TABLE IF NOT EXISTS `as_roleset` (
  `role_id` int(11) NOT NULL,
  `role_value_id` int(11) NOT NULL,
  `value` varchar(20) NOT NULL,
  KEY `role_id` (`role_id`,`role_value_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Daten für Tabelle `as_roleset`
--

INSERT INTO `as_roleset` (`role_id`, `role_value_id`, `value`) VALUES
(2, 10, '1'),
(2, 9, '1'),
(2, 8, '1'),
(2, 7, '1'),
(2, 6, '1'),
(2, 5, '1'),
(2, 4, '1'),
(2, 3, '1'),
(2, 2, '1'),
(2, 1, '1');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `as_role_values`
--

DROP TABLE IF EXISTS `as_role_values`;
CREATE TABLE IF NOT EXISTS `as_role_values` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(25) NOT NULL,
  `text` varchar(80) NOT NULL,
  `type` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

--
-- Daten für Tabelle `as_role_values`
--

INSERT INTO `as_role_values` (`name`, `text`, `type`) VALUES
('is_admin', 'Hat Adminrechte', 'yesno'),
('admin_cp', 'Kann das Admincenter betreten', 'yesno'),
('editgroup_admin', 'Benutzergruppen editieren', 'yesno'),
('addgroup_admin', 'Benutzergruppe hinzufügen', 'yesno'),
('config_admin', 'Einstellungen bearbeiten', 'yesno'),
('module_admin', 'Modulverwaltung', 'yesno'),
('navigation_admin', 'Navigationsverwaltung', 'yesno'),
('adduser_admin', 'User hinzufügen', 'yesno'),
('editusers_admin', 'User editieren', 'yesno');
('versions_admin', 'Versionskontrolle', 'yesno');

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `as_sessions`
--

DROP TABLE IF EXISTS `as_sessions`;
CREATE TABLE IF NOT EXISTS `as_sessions` (
  `sid` varchar(32) NOT NULL default '',
  `uid` int(10) unsigned NOT NULL default '0',
  `ip` varchar(40) NOT NULL default '',
  `time` bigint(30) NOT NULL default '0',
  `location` varchar(150) NOT NULL default '',
  `useragent` varchar(100) NOT NULL default '',
  `anonymous` int(1) NOT NULL default '0',
  `nopermission` int(1) NOT NULL default '0',
  PRIMARY KEY  (`sid`),
  KEY `time` (`time`),
  KEY `uid` (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Daten für Tabelle `as_sessions`
--


-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `as_users`
--

DROP TABLE IF EXISTS `as_users`;
CREATE TABLE IF NOT EXISTS `as_users` (
  `uid` int(11) NOT NULL auto_increment,
  `username` varchar(50) NOT NULL,
  `realname` varchar(120) NOT NULL,
  `openid_identity` varchar(255) NOT NULL,
  `password` varchar(64) NOT NULL,
  `loginkey` varchar(50) NOT NULL,
  `role` int(11) NOT NULL default '1',
  `email` varchar(60) NOT NULL default '',
  `homepage` varchar(60) NOT NULL default '',
  `icq` varchar(11) NOT NULL,
  `aim` varchar(25) NOT NULL default '',
  `skype` varchar(25) NOT NULL,
  `from` varchar(100) NOT NULL,
  `bio` text NOT NULL,
  `since` int(11) NOT NULL,
  `gender` enum('m','f','u') NOT NULL,
  `birthday` int(11) NOT NULL,
  `active` tinyint(1) NOT NULL,
  `theme` int(11) NOT NULL,
  `lang` varchar(3) NOT NULL default '',
  `lastvisit` int(11) NOT NULL default '0',
  PRIMARY KEY  (`uid`),
  KEY `openid_identity` (`openid_identity`),
  KEY `loginkey` (`loginkey`),
  KEY `username` (`username`),
  KEY `password` (`password`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 ROW_FORMAT=DYNAMIC;

--
-- Tabellenstruktur für Tabelle `as_datacache`
--

CREATE TABLE IF NOT EXISTS `as_datacache` (
  `cache` varchar(30) NOT NULL,
  `content` text NOT NULL,
  `expire` int(13) NOT NULL,
  KEY `cache` (`cache`,`expire`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
